package com.company.untitled3.entity;

import com.github.javafaker.Faker;
import jdk.jfr.DataAmount;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * User: Nurmuhammad
 * Date: 29/08/2022 18:03
 */
@Getter
@Setter
public class JsonPojo {

    String name;
    String phone;
    String price;
    Date time;


    public static JsonPojo getNew(Faker faker) {
        JsonPojo jsonPojo = new JsonPojo();
        jsonPojo.setName(faker.name().fullName());
        jsonPojo.setPhone(faker.phoneNumber().phoneNumber());
        jsonPojo.setPrice(faker.commerce().price() + faker.currency().name());
        jsonPojo.setTime(faker.date().birthday());
        return jsonPojo;
    }
}
